#################################################
#
#  (C) 2010-2011 Serghei Amelian
#  serghei (DOT) amelian (AT) gmail.com
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################

tde_import( libkholidays )
tde_import( korganizer )

include_directories(
  ${CMAKE_CURRENT_BINARY_DIR}
  ${CMAKE_CURRENT_SOURCE_DIR}/../../interfaces
  ${CMAKE_SOURCE_DIR}/libtdepim
  ${CMAKE_SOURCE_DIR}
  ${TDE_INCLUDE_DIR}
  ${TQT_INCLUDE_DIRS}
)

link_directories(
  ${TQT_LIBRARY_DIRS}
)


##### other data ################################

install( FILES specialdatesplugin.desktop DESTINATION ${SERVICES_INSTALL_DIR}/kontact )
install( FILES kcmsdsummary.desktop DESTINATION ${SERVICES_INSTALL_DIR} )


##### libkontact_specialdatesplugin (module) ####

tde_add_kpart( libkontact_specialdatesplugin AUTOMOC
  SOURCES specialdates_plugin.cpp sdsummarywidget.cpp
  LINK kpinterfaces-shared kholidays-shared korganizer_calendar-shared
  DESTINATION ${PLUGIN_INSTALL_DIR}
)


##### kcm_sdsummary (module) ####################

tde_add_kpart( kcm_sdsummary AUTOMOC
  SOURCES kcmsdsummary.cpp
  LINK tdeui-shared
  DESTINATION ${PLUGIN_INSTALL_DIR}
)
